<?php

namespace App\Http\Controllers;

use App\Models\Letter;
use Illuminate\Support\Str;
use Illuminate\Http\Request;

class LetterController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $letter = Letter::where('status',1)->get();
        return view ('letter.index')->with('letter', $letter);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function storeLetter(Request $request)
    {
        $request->validate([
            'issued_to' => 'required|unique:letters',
           
        ], [
            'issued_to.unique' => 'The certificate already existed'
            // Custom validation messages for other fields
        ]);
        $input = $request->all();
      
        $input['token'] = Str::random(10); // Generate a random token and add it to the input data
        Letter::create($input);
        return redirect('home')->with('flash_message', 'Successfully added!')->with('toast_message', 'The certificate already exists.');
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $letter = Letter::find($id);
        $letter->status = 2;
        $letter->update();
        return redirect('letter')->with('delete_message', ' Deleted!');
    }
}
