<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('letters', function (Blueprint $table) {
            $table->id();
            $table->string('issued_to');
            $table->string('address');
            $table->string('nature_of_business');
            $table->string('cabb_no')->nullable();
            $table->string('or_no')->nullable();
            $table->string('respone_no')->nullable();
            $table->string('series')->nullable();
            $table->date('date_effective');
            $table->date('date_expired');
            $table->foreignId('detail_id');
            $table->string('token')->unique()->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('letters');
    }
};
