<?php

use App\Models\Letter;
use Illuminate\Support\Str;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PDFController;
use App\Http\Controllers\ViewController;
use App\Http\Controllers\DetailController;
use App\Http\Controllers\LetterController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });
Route::redirect('/', 'login');
Route::middleware([
    'auth:sanctum',
    config('jetstream.auth_session'),
    'verified',
])->group(function () {
    Route::get('/home', function () {
        return view('home');
    });


    Route::resource("/home", DetailController::class);
    Route::resource("/letter", LetterController::class);
   
    Route::post("/add-letter", function(Request $request){
        $input = $request->all();
        $input['token'] = Str::random(10);
        Letter::create($input);
        return redirect('home')->with('flash_message', 'Successfully Addedd!');

    })->name('add-letter');
    Route::get('/edit-home/{id}', [DetailController::class, 'edit']);
    Route::get('/generate-pdf/{id}', [PDFController::class, 'generatePdf'])->name('generate-pdf');
});


Route::get('/logouts', function () {
    Auth::logout();
    return redirect('/');
})->name('logouts');
